Subject: Re: linux-next: manual merge of the kspp tree with Linus' tree

From: "Arnd Bergmann" <[email-masked]>
Date: Tue, 09 Jul 2024 10:29:19 +0200

On Tue, Jul 9, 2024, at 09:58, Stephen Rothwell wrote:
> Hi all,
>
> Today's linux-next merge of the kspp tree got a conflict in:
>
>   kernel/kallsyms.c
>
> between commit:
>
>   7e1f4eb9a60d ("kallsyms: rework symbol lookup return codes")
>
> from Linus' tree and commit:
>
>   21b4564fedad ("sprint_symbol: Replace strcpy with memmove to handle 
> potential overlap")
>
> from the kspp tree.
>
> I fixed it up (the former removed the code modified by the latter, so I
> did that) and can carry the fix as necessary. This is now fixed as far as
> linux-next is concerned, but any non trivial conflicts should be mentioned
> to your upstream maintainer when your tree is submitted for merging.
> You may also want to consider cooperating with the maintainer of the
> conflicting tree to minimise any particularly complex conflicts.

Hi Stephen,

Thanks for pointing this out. It does look like the second
patch also just tries to address the same warning that I
fixed in my larger patch.

Kees, do you want to just drop that patch from your tree?

     Arnd